# Author: Toby Dickenson, <htrd90@zepler.org>
#
# Copyright (c) 1999 Toby Dickenson
#
# Permission to use this software in any way is granted without
# fee, provided that the copyright notice above appears in all
# copies. This software is provided "as is" without any warranty.
#

"""NT User Folder Product"""

import NTUserFolder

def initialize(context):
    try:
        context.registerClass(
            NTUserFolder.NTUserFolder, 
            constructors=(NTUserFolder.manage_addNTUserFolderForm,
                          NTUserFolder.manage_addNTUserFolder),
            icon = "nt_icon.gif",
            permission = 'Manage NT User Folder'
            )
    except:
        import traceback,sys
        apply(traceback.print_exception,sys.exc_info())
        raise


__ac_permissions__=(
    ('Manage NT User Folder',    ('manage_addNTUserFolderForm', 'manage_addNTUserFolder', )  ),
    )
